#version 330

uniform sampler2D colorTexture;
in vec2 texCoord;
uniform vec3 tex_color;

out vec4 FragColor;

void main()
{
	vec4 texcol = vec4(texture2D(colorTexture, texCoord));
	FragColor = vec4(texcol.r*tex_color.r, texcol.g*tex_color.g, texcol.b*tex_color.b, texcol.a);
}