#version 330

in vec3 InPosition;

out vec2 blurTexCoords[13];

uniform float xResInv = 1.0 / 1920.0;

//uses approach from http://xissburg.com/faster-gaussian-blur-in-glsl/

void main()
{
	gl_Position = vec4(InPosition, 1.0);
	vec2 texCoord = (vec2(1,1) + vec2(InPosition)) / 2;
	
	blurTexCoords[ 0] = texCoord + vec2(xResInv * -11.579188853039201, 0.0);
	blurTexCoords[ 1] = texCoord + vec2(xResInv *  -9.565592025389056, 0.0);
	blurTexCoords[ 2] = texCoord + vec2(xResInv *  -7.551895767268230, 0.0);
	blurTexCoords[ 3] = texCoord + vec2(xResInv *  -5.538120325905592, 0.0);
	blurTexCoords[ 4] = texCoord + vec2(xResInv *  -3.524286428633425, 0.0);
	blurTexCoords[ 5] = texCoord + vec2(xResInv *  -1.510415159887365, 0.0);
	blurTexCoords[ 6] = texCoord;
	blurTexCoords[ 7] = texCoord + vec2(xResInv *   1.510415159887365, 0.0);
	blurTexCoords[ 8] = texCoord + vec2(xResInv *   3.524286428633425, 0.0);
	blurTexCoords[ 9] = texCoord + vec2(xResInv *   5.538120325905592, 0.0);
	blurTexCoords[10] = texCoord + vec2(xResInv *   7.551895767268230, 0.0);
	blurTexCoords[11] = texCoord + vec2(xResInv *   9.565592025389056, 0.0);
	blurTexCoords[12] = texCoord + vec2(xResInv *  11.579188853039201, 0.0);
}
