#version 330

in vec2 texCoord;

/*layout(location = 1)*/
out vec3 FragColor;

uniform sampler2D screen;
uniform float threshold;

void main()
{
	FragColor = texture(screen, texCoord).rgb;
	FragColor *= smoothstep(threshold-0.1, threshold+0.1, 0.2989 * FragColor.r + 0.5870 * FragColor.g + 0.1140 * FragColor.b);
	/*if (0.2989 * FragColor.r + 0.5870 * FragColor.g + 0.1140 * FragColor.b < threshold)
		FragColor = vec3(0,0,0);*/
}
