#version 330

uniform sampler2D colorTexture;
in vec2 texCoord;
uniform vec3 tex_color;

out vec4 FragColor;

void main()
{
	vec4 col = texture2D(colorTexture, texCoord);
	if (col.w == 0.0f) //if transparent
	{
		discard;
	}
	col.r = col.r*tex_color.r;
	col.g = col.g*tex_color.g;
	col.b = col.b*tex_color.b;
	FragColor = col;
}