#version 330

in vec3 InVertex;
in vec2 InTexCoord;

out vec2 texCoord;

uniform mat4 ModelViewProjectionMatrix;

void main()
{
	vec4 vertex = ModelViewProjectionMatrix * vec4(InVertex, 1.0);
	gl_Position = vertex;
	texCoord = InTexCoord;
}