#version 330

uniform sampler2D colorTexture;

in vec2 TexCoord;
in vec4 TexColor;

out vec4 FragColor;

void main()
{
	FragColor = texture2D(colorTexture, TexCoord);
	FragColor.r = FragColor.r*TexColor.r;
	FragColor.g = FragColor.g*TexColor.g;
	FragColor.b = FragColor.b*TexColor.b;
	FragColor.a = FragColor.a*TexColor.a;
}