#version 330

in vec2 blurTexCoords[13];

/*layout(location = 1)*/
out vec3 FragColor;

uniform sampler2D screen, screenOriginal;

//weights computed with http://www.embege.com/gauss/
void main()
{
	FragColor  = texture(screenOriginal, blurTexCoords[6]).rgb;
	//FragColor = vec3(0,0,0);
	FragColor += texture(screen, blurTexCoords[ 0]).rgb*0.022205317351914;
	FragColor += texture(screen, blurTexCoords[ 1]).rgb*0.039632239524866;
	FragColor += texture(screen, blurTexCoords[ 2]).rgb*0.063345329262393;
	FragColor += texture(screen, blurTexCoords[ 3]).rgb*0.090668638003392;
	FragColor += texture(screen, blurTexCoords[ 4]).rgb*0.116219166751767;
	FragColor += texture(screen, blurTexCoords[ 5]).rgb*0.133406733617538;
	FragColor += texture(screen, blurTexCoords[ 6]).rgb*0.069045150976261;
	FragColor += texture(screen, blurTexCoords[ 7]).rgb*0.133406733617538;
	FragColor += texture(screen, blurTexCoords[ 8]).rgb*0.116219166751767;
	FragColor += texture(screen, blurTexCoords[ 9]).rgb*0.090668638003392;
	FragColor += texture(screen, blurTexCoords[10]).rgb*0.063345329262393;
	FragColor += texture(screen, blurTexCoords[11]).rgb*0.039632239524866;
	FragColor += texture(screen, blurTexCoords[12]).rgb*0.022205317351914;
}
