#version 330

in vec3 InPosition;

out vec2 blurTexCoords[13];

uniform float yResInv = 1.0 / 1048.0;

//uses approach from http://xissburg.com/faster-gaussian-blur-in-glsl/

void main()
{
	gl_Position = vec4(InPosition, 1.0);
	vec2 texCoord = (vec2(1,1) + vec2(InPosition)) / 2;

	blurTexCoords[ 0] = texCoord + vec2(0.0, yResInv * -11.579188853039201);
	blurTexCoords[ 1] = texCoord + vec2(0.0, yResInv *  -9.565592025389056);
	blurTexCoords[ 2] = texCoord + vec2(0.0, yResInv *  -7.551895767268230);
	blurTexCoords[ 3] = texCoord + vec2(0.0, yResInv *  -5.538120325905592);
	blurTexCoords[ 4] = texCoord + vec2(0.0, yResInv *  -3.524286428633425);
	blurTexCoords[ 5] = texCoord + vec2(0.0, yResInv *  -1.510415159887365);
	blurTexCoords[ 6] = texCoord;
	blurTexCoords[ 7] = texCoord + vec2(0.0, yResInv *   1.510415159887365);
	blurTexCoords[ 8] = texCoord + vec2(0.0, yResInv *   3.524286428633425);
	blurTexCoords[ 9] = texCoord + vec2(0.0, yResInv *   5.538120325905592);
	blurTexCoords[10] = texCoord + vec2(0.0, yResInv *   7.551895767268230);
	blurTexCoords[11] = texCoord + vec2(0.0, yResInv *   9.565592025389056);
	blurTexCoords[12] = texCoord + vec2(0.0, yResInv *  11.579188853039201);
}
